#ifndef PROPERTYSTORAGEEDITOR_H
#define PROPERTYSTORAGEEDITOR_H

#include <QWidget>
#include "propertystorage.h"


class QAD_EXPORT PropertyStorageEditor: public QWidget {
	Q_OBJECT
public:
	explicit PropertyStorageEditor(QWidget * parent = 0);
	~PropertyStorageEditor();
	
	void clear();
	bool isEmpty() const;
	void setStorage(PropertyStorage * s);
	void applyProperties();
	
private:
	QList<QWidget*> _widgets;
	PropertyStorage * storage;
	
signals:
	void resetStorageRequest(PropertyStorage * );
	void changed();

};

#endif // PROPERTYSTORAGEEDITOR_H
